> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup Cobre integration.

> Create Cobre partner user ID and secret.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json put /v1/organizations/integrations/cobre
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/organizations/integrations/cobre:
    put:
      tags:
        - Integrations Config
      summary: Setup Cobre integration.
      description: Create Cobre partner user ID and secret.
      operationId: IntegrationsConfigController_setupCobreIntegrationConfig
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CobreSetupDto'
      responses:
        '202':
          description: Organization Cobre integration data
      deprecated: true
      security:
        - bearer: []
components:
  schemas:
    CobreSetupDto:
      type: object
      properties:
        userId:
          type: string
          description: The Cobre user ID for authentication.
          example: cli_test_123
        secret:
          type: string
          description: The Cobre secret for authentication.
          example: test
      required:
        - userId
        - secret
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````